Arch Remove/sv: Difference between revisions

From FreeCAD Documentation
(Created page with "====Beskrivning====")
(Created page with "Remove verktyget låter dig göra 2 sorters operationer: * Ta bort en delkomponent från ett Arch objekt, till exempel ta bort en låda som har adderats till en vägg, som i [...")
Line 3: Line 3:
====Beskrivning====
====Beskrivning====


The Remove tools allows you to do 2 kinds of operations:
Remove verktyget låter dig göra 2 sorters operationer:
* Remove a subcomponent from an Arch object, for example remove a box that has been added to a wall, like in the [[Arch Add]] example
* Ta bort en delkomponent från ett Arch objekt, till exempel ta bort en låda som har adderats till en vägg, som i [[Arch Add/sv|Arch Add]] exemplet
* Subtract a [[Part Module|shape]]-based object from an Arch component such as a [[Arch Wall|wall]] or [[Arch Structure|structure]]
* Subtrahera en [[Part Module/sv|form]]baserat objekt från en Arch komponent som en [[Arch Wall/sv|vägg]] eller [[Arch Structure/sv|struktur]]


[[Image:Arch Remove example.jpg|600px]]
[[Image:Arch Remove example.jpg|600px]]

Revision as of 21:25, 6 December 2013

Arch Remove

Menyplacering
Arch -> Remove
Arbetsbänkar
Arch
Standard genväg
Ingen
Introducerad i version
-
Se även
Arch Add/sv

Beskrivning

Remove verktyget låter dig göra 2 sorters operationer:

  • Ta bort en delkomponent från ett Arch objekt, till exempel ta bort en låda som har adderats till en vägg, som i Arch Add exemplet
  • Subtrahera en formbaserat objekt från en Arch komponent som en vägg eller struktur

In the above image, a box is being subtracted from a wall

How to use

  1. Select a subcomponent inside an Arch object, or:
  2. Select object(s) to be subtracted, then the Arch component from which they must be subtracted (the arch component must be the last thing you selected)
  3. Press the Remove button

Scripting

The Remove tool can by used in macros and from the python console by using the following function:

removeComponents (objectsList,[hostObject])
  • removes the given component or the components from the given list from their parents. If a host object is specified, this function will try adding the components as holes to the host object instead.

Example:

 import FreeCAD, Arch, Draft, Part
 line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
 wall = Arch.makeWall(line)
 box = Part.makeBox(1,1,1)
 Arch.addComponents(box,wall)
 Arch.removeComponents(box)